curl --request GET \
--url https://api.hubapi.com/integrators/timeline/v3/events/{eventTemplateId}/{eventId} \
--header 'Authorization: Bearer <token>'{
"eventTemplateId": "<string>",
"id": "<string>",
"objectType": "<string>",
"tokens": {},
"createdAt": "2023-11-07T05:31:56Z",
"customObjectTypeId": "<string>",
"domain": "<string>",
"email": "<string>",
"extraData": {},
"objectId": "<string>",
"timelineIFrame": {
"headerLabel": "<string>",
"height": 123,
"linkLabel": "<string>",
"url": "<string>",
"width": 123
},
"timestamp": "2023-11-07T05:31:56Z",
"utk": "<string>"
}Retrieve an event instance, specified by template ID and event ID.
curl --request GET \
--url https://api.hubapi.com/integrators/timeline/v3/events/{eventTemplateId}/{eventId} \
--header 'Authorization: Bearer <token>'{
"eventTemplateId": "<string>",
"id": "<string>",
"objectType": "<string>",
"tokens": {},
"createdAt": "2023-11-07T05:31:56Z",
"customObjectTypeId": "<string>",
"domain": "<string>",
"email": "<string>",
"extraData": {},
"objectId": "<string>",
"timelineIFrame": {
"headerLabel": "<string>",
"height": 123,
"linkLabel": "<string>",
"url": "<string>",
"width": 123
},
"timestamp": "2023-11-07T05:31:56Z",
"utk": "<string>"
}Supported products
Required Scopes
The access token received from the authorization server in the OAuth 2.0 flow.
successful operation
The event template ID.
Identifier for the event. This should be unique to the app and event template. If you use the same ID for different CRM objects, the last to be processed will win and the first will not have a record. You can also use {{uuid}} anywhere in the ID to generate a unique string, guaranteeing uniqueness.
The ObjectType associated with the EventTemplate.
A collection of token keys and values associated with the template tokens.
Show child attributes
Unused.
The event domain (often paired with utk).
The email address used for contact-specific events. This can be used to identify existing contacts, create new ones, or change the email for an existing contact (if paired with the objectId).
Additional event-specific data that can be interpreted by the template's markdown.
The CRM object identifier. This is required for every event other than contacts (where utk or email can be used).
Show child attributes
The time the event occurred. If not passed in, the curren time will be assumed. This is used to determine where an event is shown on a CRM object's timeline.
Use the utk parameter to associate an event with a contact by usertoken. This is recommended if you don't know a user's email, but have an identifying user token in your cookie.
Was this page helpful?